function [cl, cert] = dumb_class_2d(v)
//-----------------------------------------------------------------------  
// function [cl, cert] = dumb_class_2d(v)
//
// implementation of dumb classification of two-dimensional 
// vectors: labels 1,2,3 are assigned to x-coordinates in the
// intervalls -inf < x < 0 ,  0 <= x < 1 , 1 <= x < + inf  
// cert is set to the y value of the points. Purpose of routine:
// demonstration of use of visclass.sci: visclass(dumb_class)
// produces graphical output of classification regions.
//
// input:    v            2 times n - matrix consisting of n points to be 
//                        classified
//
// output:   cl           n-vector of estimated class memberships 
//           cert         n-vector of certainty measures for the 
//                        classifications.
//
//-----------------------------------------------------------------------  
//   $RCSfile: dumb_class_2d.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: dumb_class_2d.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------

  cert = (v(2,:)-min(v(2,:)))/(max(v(2,:))-min(v(2,:)));
  cl = (v(1,:) >= 1) + 1+ (v(1,:) >= 0);
  
endfunction




