function Fc_demo( varargin )
//-----------------------------------------------------------------------  
//function Fc_demo( varargin )
//
//This function describes how the functions computeFc()and
//Fsynthesis() work for a given polygon
// input:   varargin       variable no. of arguments ( i.e. either
//                         no args. or sholud be as follows)
//          'setnumber'    if this argn. is there the next argn.
//                         should be an integer
//          'setpolygon'   if this argn. is there the next argn.
//                         should be a polygon of size: 2*n
//          'showspectrum' if this argn. is there the next argn.
//                         should be a polygon of size: 2*n          
//
// output:   none
//
//-----------------------------------------------------------------------  
//   $RCSfile: Fc_demo.sci,v $
//  $Revision: 1.3 $
//      $Date: 2003/10/16 16:00:41 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------

// creating a figure 
  f =figure('position', [20 200 350 350],'tag','fc_demo_f_fig');    
      
  //title of the figure
  title = uicontrol(f,'style','text','position',[90 310 190 ...
		    20],'fontsize',15,'fontweight',"bold", ...
		    'string',"Fourier  Coefficient  Demo"); 
  
  // first setting the values for the varargin
  N = 40; 
  pol = polstar(5,4,3); 
  drawflag="no"; 
  i=1; j=1; 
  recall='no';
  
  while j <= length(varargin),
    if varargin( j )== 'setnumber', 
      N = varargin( j+1) ;  j=j+2;
    else 
      if varargin( j )== 'setpolygon',
	pol = varargin(j+1); j=j+2;
      else
	if varargin(j)== 'showspectrum',
	  drawflag = "yes"; j=j+1; 
	else 
	  if varargin(j)=='patrec_demos',
	    recall='yes';j=j+1;
	    
	  else
	    if varargin(j)~= 'setnumber' & varargin(j)~='setpolygon' & ...
		  varargin(j)~='showspectrum',
	      error('error in the modes,you have  selcted!');
	    end
	  end 
	end
      end  
    end  
  end
  clear i j

  // computing the fourier co-eficients
  FC = computeFc(N,cpolygon(pol));
  mid = N+1 ;  
  ma = length(FC) ;
  p = polygon(FC); 
  x = p(1,:);
  y = p(2,:);
 
  abs_val = floor(1000*sqrt( x(mid)^2 + y(mid)^2 )); 
  
  if x(mid)==0,
    if y(mid)>=0,
      phi=%pi/2,
    else
      phi=-%pi/2,
    end;
  else
    phi=atan(y(mid),x(mid));
  end;
  arg = floor(1000*pmodulo(phi, %pi*2));
  
  clear N phi pol x y
  
  // storing Fc's as a polygon in userdata
  set(f,'userdata',p); 
  set(f,'recall',recall);
  
  clear p recall
  
  // sliders for changing the values of individual Fourier coef.s 
  version = getversion();
  vernum = eval(part(version,8:10));
    
  if (vernum>=2.7) then
    h1 = uicontrol(f,'style','slider','position',[15 246 180 ...
		    20],'Min',1,'Max',ma,'tag','fc_demo_h1'); 
    h2 = uicontrol(f,'style','slider','position',[15 176 180 ...
		    20],'Min',0,'Max',abs_val+10000, ...
		 'tag','fc_demo_h2');
    h3 = uicontrol(f,'style','slider','position',[15 106 180 ...
		    20],'Min',0,'Max',6283,'tag','fc_demo_h3');
  else 
    h1 = uicontrol(f,'style','slider','position',[15 81 180 ...
		    20],'Min',1,'Max',ma,'tag','fc_demo_h1'); 
    h2 = uicontrol(f,'style','slider','position',[15 151 180 ...
		    20],'Min',0,'Max',abs_val+10000, ...
		 'tag','fc_demo_h2');
    h3 = uicontrol(f,'style','slider','position',[15 221 180 ...
		    20],'Min',0,'Max',6283,'tag','fc_demo_h3');
  end  
    
  // setting default values to the sliders
  
  set(h1,'value',mid);  set(h2,'value',abs_val);  set(h3,'value',arg);
  
  //display of ranges set for the three sliders 
  ht1 = uicontrol(f,'style','text','position',[20,213,170,25], ...
		  'String',"-40       index i of c_i        40");
  
  ht21 = uicontrol(f,'style','text','position',[20,143,100,25], ...
		   'String',"0          abs(c_i)");
  
  // this value will change later in the call_back functions
  ht22 =uicontrol(f,'style','text','position',[141,143,70,25], ...
		 'String',string(10+abs_val/1000),'tag','fc_demo_ht22');
  
  ht3 = uicontrol(f,'style','text','position',[20,73,180,25], ...
		  'String',"0           arg(c_i)             6.284");
    
  // edit filelds for entering values instead of the above sliders
  e1 = uicontrol(f,'style','edit','position',[210,241,80,25], ...
		 'String',string(mid-41),'tag','fc_demo_e1'); 
  e2 = uicontrol(f,'style','edit','position',[210,171,80,25], ...
		 'String',string(abs_val/1000),'tag','fc_demo_e2');
  e3 = uicontrol(f,'style','edit','position',[210,101,80,25], ...
		 'String',string(arg/1000),'tag','fc_demo_e3');
  set(f,'ep1_edit',mid-41);set(f,'ep2_edit',abs_val/1000);
  set(f,'ep3_edit',arg/1000);

  clear abs_val arg ma mid
  
  // push buttons to activate the edit fields
  pu1 = uicontrol(f,'style','pushbutton','position',[295,241,40,25], ...
		  'String'," set"); 
  pu2 = uicontrol(f,'style','pushbutton','position',[295,171,40,25], ...
		'String'," set");
  pu3 = uicontrol(f,'style','pushbutton','position',[295,101,40,25], ...
		  'String'," set");
  
  // call backs for the sliders and push buttons
  set(h1,'callback',"fc_demo_call_back(''h1_slider'')");
  set(h2,'callback',"fc_demo_call_back(''h23_slider'')");
  set(h3,'callback',"fc_demo_call_back(''h23_slider'')");
   
  set(pu1,'callback',"fc_demo_call_back(''ep1_edit'')");
  set(pu2,'callback',"fc_demo_call_back(''ep23_edit'')");
  set(pu3,'callback',"fc_demo_call_back(''ep23_edit'')");
  
  // help button

  p1=uicontrol(f,'style','pushbutton','position',[15 31 40 25], ...
	       'String',"  help ",'callback',"fc_demo_call_back(''help'')");
  
  //exit button
  p2=uicontrol(f,'style','pushbutton','position', [210 31 40 25], ...
	       'String', "  exit", 'callback', "fc_demo_call_back(''exit'') ");
  
  // plotting of fourier co-efficients
  wi = new_window()
  xset("window",wi);
  xset('wdim',300*1.5561798,300);
  if drawflag=="yes",
    xset('wpos',380,10);    
  else
    xset('wpos',380,200);    
  end
  
  //xbasc(); 
  xname('Fc_demo - Fourier reconstruction');
  plotpol( polygon(Fsynthesis(FC) ) );
  set(f,'window1',wi); 
  
  //if show spectrum is opted by the user then
  set(f,'drawflag',drawflag);
    
  if drawflag=="yes",
    xset('window',wi+1); 
    xset('wpos',380,410);
    xset('wdim',300*1.5561798,300);
    xname('Fc_demo - Fourier spectrum');
    xbasc(); 
    plotFs(FC);
    set(f,'window2',wi+1); 
  end;
  set(f,'lock1',0);
  set(f,'lock2',0);
  
  clear FC drawflag wi 

endfunction











