function polstar_demo(varargin)
//-----------------------------------------------------------------------  
//function polstar_demo()
//
//A sample programme for showing how to draw a star with different
//number of arms and different values of inner and outer radius.
//
// input:    none
//
// output:   none
//
//-----------------------------------------------------------------------  
//   $RCSfile: polstar_demo.sci,v $
//  $Revision: 1.3 $
//      $Date: 2003/10/16 16:00:41 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: polstar_demo.sci,v $
//  Revision 1.3  2003/10/16 16:00:41  haasdonk
//  minor homogenizations
//
//  Revision 1.2  2003/10/16 15:05:33  haasdonk
//  minor changes for suitability with Scilab Version 2.7
//
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------


//creating an object figure  
  f =figure( 'position', [20 200 350 350],'tag','polstar_demo_f_fig');
  title = uicontrol(f,'style','text','position',[125 310 100 ...
		    20],'fontsize',15,'fontweight',"bold", ...
		    'string',"Polstar Demo"); 
  
  // design of the three sliders used
  version = getversion();
  vernum = eval(part(version,8:10));
    
  if (vernum>=2.7) then
    h1 = uicontrol(f,'style','slider','position',[15 246 180 20],'Min', ...
		 3,'Max',100,'tag','polstar_demo_h1');
    h2 = uicontrol(f,'style','slider','position',[15 176 180 20],'Min',1, ...
		 'Max',100,'tag','polstar_demo_h2');
    h3 = uicontrol(f,'style','slider','position',[15 106 180 20],'Min',1, ...
		 'Max',100,'tag','polstar_demo_h3');  
  else 
    h1 = uicontrol(f,'style','slider','position',[15 81 180 20],'Min', ...
		 3,'Max',100,'tag','polstar_demo_h1');
    h2 = uicontrol(f,'style','slider','position',[15 151 180 20],'Min',1, ...
		 'Max',100,'tag','polstar_demo_h2');
    h3 = uicontrol(f,'style','slider','position',[15 221 180 20],'Min',1, ...
		 'Max',100,'tag','polstar_demo_h3');  
  end  
 
  set(h1,'value',5); set(h2,'value',4);set(h3,'value',3);
  set(f,'userdata',[5,4,3])
  
  ht1 = uicontrol(f,'style','text','position',[20,213,180,25],'String',"3"+...
		  "           no. of arms          100"); 
  ht2 = uicontrol(f,'style','text','position',[20,143,180,25],'String',"1"+...
		  "           outer radius        100");
  ht3 = uicontrol(f,'style','text','position',[20,73,180,25],'String',"1"+...
		  "           inner radius        100");
  
  
  e1 = uicontrol(f,'style','edit','position',[215,241,80,25],'String',"5", ...
		 'tag','polstar_demo_e1');
  e2 = uicontrol(f,'style','edit','position',[215,171,80,25],'String',"4", ...
		 'tag','polstar_demo_e2');
  e3 = uicontrol(f,'style','edit','position',[215,101,80,25],'String',"3", ...
		 'tag','polstar_demo_e3');
  
  p1 = uicontrol(f,'style','pushbutton','position',[307,241,29,25], ...
		 'String'," set");
  p2 = uicontrol(f,'style','pushbutton','position',[307,171,29,25], ...
		 'String'," set");
  p3 = uicontrol(f,'style','pushbutton','position',[307,101,29,25], ...
		 'String'," set");
  
  // call backs for sliders and push buttons
  set(h1,'callback', "polstar_demo_call_back(''slider1'')");
  set(h2,'callback', "polstar_demo_call_back(''slider2'')"); 
  set(h3,'callback', "polstar_demo_call_back(''slider3'')");
  set(p1,'callback', "polstar_demo_call_back(''edit'')");
  set(p2,'callback', "polstar_demo_call_back(''edit'')");
  set(p3,'callback', "polstar_demo_call_back(''edit'')");
  

  i=1;recall='no'
  while i<=length(varargin),
    if varargin(i)=='patrec_demos';
      recall="yes";
      i=i+1;
    end;
  end; 
  
  wi = new_window()
  set(f,'window',wi); 
  xset("window",wi);
  xset('wpos',380,200);
  xset('wdim',300*1.5561798,300);
  xname('polstar_demo'); 
  xbasc();
  plotpol(polstar(5,4,3));
  
  // tow push buttons one is for "help" another is for "exit"
  hel=uicontrol(f,'style','pushbutton','position', [15 31 30 25], ...
		'String', " help",'callback',+...
		" polstar_demo_call_back(''help'')");  
  
  exi=uicontrol(f,'style','pushbutton','position', [180 31 30 25], ...
		'String', " exit",'callback',+...
		" polstar_demo_call_back(''exit'')");
  
  set(f,'recall',recall);
  set(f,'lock',0);

endfunction













