function res = polarea(p)
//-----------------------------------------------------------------------  
//function res = polarea(p)
//
//    function calculating the AREA of a polygon 
//
//    input      p        is a matrix with indices of polygon as elements
//
//    output     res      is the area of the given polygon p
//
//-----------------------------------------------------------------------  
//   $RCSfile: polarea.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log:
//-----------------------------------------------------------------------

  
  [out, in] = argn(0);
  if in ~=1,
    error('wrong number of input arguments.');
  end;
  
  // finding the no. of indices
  n = size(p,2);
  
  // finding the area of the polygon
  q =fcycltrans(p,0,1);
  res = sum(  p(1,1:n) .* q(2,1:n) - q(1,1:n) .* p(2,1:n) ) / 2;
endfunction;
















