.TH bayes_class_2d  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
bayes_class_2d - implements the bayes classification in 2 dimensions.

.SH CALLING SEQUENCE
.nf
[classes,cert] = bayes_class_2d(x, p1,m1,K1,p2,m2,K2).
.fi

.SH PARAMETERS
.TP 10
x       :       
a 2*n matrix with columnwise n data points to be classified
.TP 10
p1,p2   :      
prior probability of the 2 classes (sum == 1).
.TP 10
m1,m2   :
mean vector of the 2 classes.(of length 2) 
.TP 10		    
K1,K2   :
covariance matrices of the 2 distributions (of size 2*2).
.TP 10
classes :      
vector of estimated class memberships(1 or 2) of length n.
.TP 10
cert    :      
vector (length n) of certainty measures for the classifications,
in this case the a-posteriori probabilities.

.SH DESCRIPTION
\fVbayes_class_2d\fR implements bayes classification of 
2-dimensional vectors in case of a 2-class problem with the 
class conditional probability distributions assumed to be the 
normal distributions defined by the statistical parameters 
p1, m1, K1, p2, m2, K2. 

.SH EXAMPLE 
.nf 		    
x = randnormal([1 2], eye(2,2)) 
p1 = 0.4; p2 = 0.4;
m1 =[1 2]; m2 =[2 1];
K1 =eye(2,2,); K2 =2*eye(2,2);		    
[classes,cert] = bayes_class_2d(x,p1,m1,K1,p2,m2,K2);  
.fi

.SH SEE ALSO
bayes_class, nneigh_class, polynom_class, dumb_class_2d, nneigh_class_2d

.SH AUTHOR
Bernard Haasdonk


