.TH class_statistics  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
class_statistics - estimates the statistics of the given class number

.SH CALLING SEQUENCE
.nf
[p,m,k] = class_statistics(learn_data [,labels, class_no])
.fi

.SH PARAMETERS

.TP 15
learn_data :      
a matrix of columnwise learning data points
.TP 15
labels     :      
a vector of length equal to the number of points, default labels are ones.
.TP 15
class_no   : 
number of the class for which the statistics should be generated, default is 1.

.TP 10
p     :      
prior probability of the given (or else default) class number
.TP 10
m     :      
mean vector of the given (or else default) class number
.TP 10
k     :      
covariance matrix of the given (or else default) class number

.SH DESCRIPTION
\fVclass_statistics\fR is a function for generating class statistics i.e. 
converting the learning data and labels for classification into the 
statistics for e.g. normal distribution estimation.

.SH EXAMPLE 
.nf 
learn_data = [1 2 3 4 5 6 7 8 9; 1 2 2 1 3 2 1 3 2];
//default values automatically set by this function are:
//labels = ones(9,1); 
//class_no =1;
[p,m,k] = class_statistics(learn_data);  
.fi

.SH SEE ALSO
bayes_class, nneigh_class, polynom_class

.SH AUTHOR
Bhaskara Reddy Poluru



