.TH cyclmat  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
cyclmat - implementation of cyclic translation matrix of dimension n*n

.SH CALLING SEQUENCE
.nf
res = cyclmat(n)
.fi
 
.SH PARAMETERS
.TP 10
n    :      
dimension of the desired translation matrix (an integer >=1)
.TP 10
res  :      
cyclic translation matrix, e.g. if n = 4 then res' * [1 2 3 4]' = [2 3 4 1]' 

.SH DESCRIPTION
implementation of cyclic translation matrix of dimension n*n.
Any vector can be translated cyclically by simple multiplication with the 
transpose of this resulting matrix.

.SH EXAMPLE 
.nf 
n = 4;
res = cyclmat(n);  
.fi

.SH SEE ALSO
cyclrot, cycltrans, fcycltrans, simtrans

.SH AUTHOR
Bernard Haasdonk
 
