.TH monomvec  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
monomvec -  calculates the power-substitution-vector, the vector of monomials

.SH CALLING SEQUENCE
.nf
res = monomvec(p, x)
.fi
 
.SH PARAMETERS
.TP 10
p    :      
desired polynomial degree
.TP 10
x    :      
input vector (x1, ..., xn) of arbitrary length n (if matrix, each column is processed)
.TP 10
res  :      
power substitution vector of x 
.SH DESCRIPTION
\fVmonomvec\fR Calculates the power-substitution-vector i.e vector of monomials of a given vector.
If p is the desired polynomial degree and x =(x1...xn) is the given vector, then the power-substitution-vector of x is (1, x1, ... , xn, x1^2, ...x1x2, ..., xn^2,... xn^p). This is the lexicographical ordered set of monomials of x of degree <= p. If X is a matrix, result will be a matrix with columnwise results.

.SH EXAMPLE 
.nf 
p = 3;
x = [1 2 3];
res = monomvec(p, x);  
.fi

.SH SEE ALSO
polynom_class, polynom_regress, regress_matrix, repmat

.SH AUTHOR
Bernard Haasdonk


