.TH plotclassseq  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
plotclassseq - plots the effect of different classifiers on given learning data
 
.SH CALLING SEQUENCE
.nf
plotclassseq(learn_data, labels)
.fi

.SH PARAMETERS
.TP 16
learn_data  :      
matrix of columnwise learning vectors
.TP 16
labels      :      
vector with integer-label for each learning vector

.SH DESCRIPTION
\fVplotclassseq\fR plots the classification results from different 
classifiers defined like bayes_class, nneigh_class polynom_class in 
a sequence.

.SH EXAMPLE 
.nf 
m1 = [1 ; -1];
K1 = [2,-1 ; -1.2,2.1];
 
m2 = [0; 1];
K2 = [2, 1; 1, 1];

v1 = randnormal(m1,K1,40);
v2 = randnormal(m2,K2,40);

learn_data = [v1,v2]; 
labels = [ones(1,40)  2* ones(1,40)];
plotclassseq(learn_data, labels);  
.fi

.SH SEE ALSO
bayes_class, nneigh_class, polynom_class, plotpol, plotpolseq 

.SH AUTHOR
Bernard Haasdonk

