.TH polynom_regress  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
polynom_regress - evaluate polynomial (vectorial) regression function   
.SH CALLING SEQUENCE
.nf
res = polynom_regress(p, X, A)
.fi

.SH PARAMETERS
.TP 10
p     :      
desired polynomial degree of regression (also implicitly contained in matrix A)
.TP 10
X     :      
matrix of columnwise points in which the regression function will be evaluated.
.TP 10
A     :      
Regression matrix defining the regression function 
   obtained e.g. from regress_matrix.
.TP 10
res   :      
matrix with columnwise results from the regression function 
evaluated in the columns of X

.SH DESCRIPTION
\fVpolynom_regress\fR perform evaluation of a trained
polynomial (vectorial) regression function by 
res = transpose(A)*monomvec(p,X). 
The output of this data is e.g. used in polynom_class function for 
classification.

.SH EXAMPLE 
.nf 
Xlearn = randnormal([1 2], eye(2,2), 25);
labels = [1 2 2 3 1 2 1 3 4 1 4 1 4 2 4 4 1 3 1 3 4 1 3 1 3];
Y = zeros(max(labels), size(Xlearn,2));
A = regress_matrix(p, Xlearn, Y);
p = 2;
X = rand(2,50); 
res = polynom_regress(p,X,A);  
.fi

.SH SEE ALSO
monomvec, polynom_class, polynom_regress, randnormal

.SH AUTHOR
Bernard Haasdonk



