.TH simtrans  "July 2002" "patrec Group" "scilab function"
.so ../sci.an

.SH NAME 
simtrans - performs simple similarity-transformation of a polygon. 

.SH CALLING SEQUENCE
.nf
res = simtrans(p, r, a, tv)
.fi

.SH PARAMETERS
.TP 10
p    :
is a 2*n matrix with indices of polygon to be translated.
.TP 10
r    :
scale-factor (r>=0).
.TP 10
a    :    
angle of rotation.
.TP 10
tv   :
translation vector(of length 2).
.TP 10
res  :      
a 2*n matrix with points of the transformed polygon.  
.SH DESCRIPTION
\fVsimtrans\fR is a routine performing a similarity-transformation
of a polygon i.e. rotation, scaling and translation simultaneously.

.SH EXAMPLE 
.nf 
p = polstar(5,4,3); 
res = simtrans(p, 2, %pi/2, [2 1]);
// for visualization of the effects
plotpol(p);
plotpol(res);
.fi

.SH SEE ALSO
fcycltrans, cycltrans, plotpol

.SH AUTHOR
Bhaskara Reddy Poluru


